# Copyright 2015 Jonathan Provost.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from calbum.core import model
from calbum.filters import MediaFilter


class TimelineFilter(MediaFilter):

    def __init__(self, timeline_path):
        self.timeline = model.TimeLine(timeline_path)

    def move(self, media):
        self.timeline.move(media)

    def link(self, media):
        self.timeline.link(media)

